| Kea 3.0.2-git

isc::dhcp::OptionDataTypeTraits< OptionBuffer > Struct Reference

binary type is supported More...

`#include <option_data_types.h>`

## Static Public Attributes
static const bool | integer_type = false
static const int | len = 0
static const OptionDataType | type = OPT_BINARY_TYPE
static const bool | valid = true

## Detailed Description

binary type is supported

Definition at line 104 of file option_data_types.h.

## Member Data Documentation

## ◆ integer_type

const bool isc::dhcp::OptionDataTypeTraits< OptionBuffer >::integer_type = false
| static

Definition at line 107 of file option_data_types.h.

## ◆ len

const int isc::dhcp::OptionDataTypeTraits< OptionBuffer >::len = 0
| static

Definition at line 106 of file option_data_types.h.

## ◆ type

const OptionDataType isc::dhcp::OptionDataTypeTraits< OptionBuffer >::type = OPT_BINARY_TYPE
| static

Definition at line 108 of file option_data_types.h.

## ◆ valid

const bool isc::dhcp::OptionDataTypeTraits< OptionBuffer >::valid = true
| static

Definition at line 105 of file option_data_types.h.

The documentation for this struct was generated from the following file:

- option_data_types.h